- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_session_t

# mongoc_client_session_get_operation_time()

## Synopsis

    void
    mongoc_client_session_get_operation_time (const mongoc_client_session_t *session,
                                              uint32_t *timestamp,
                                              uint32_t *increment);

Get the session’s operationTime, expressed as a BSON Timestamp with timestamp and increment components. If the session has not been used for any operations, the timestamp and increment are 0.

## Parameters

- `session`: A mongoc_client_session_t.
- `timestamp`: A pointer to a `uint32_t` to receive the timestamp component.
- `increment`: A pointer to a `uint32_t` to receive the increment component.

### See Also:

mongoc_client_session_abort_transaction

mongoc_client_session_advance_cluster_time

mongoc_client_session_advance_operation_time

mongoc_client_session_commit_transaction

mongoc_client_session_destroy

mongoc_client_session_get_client

mongoc_client_session_get_cluster_time

mongoc_client_session_get_lsid

mongoc_client_session_get_opts

mongoc_client_session_start_transaction

mongoc_client_session_t

mongoc_client_start_session

mongoc_session_opts_clone

mongoc_session_opts_destroy

mongoc_session_opts_get_causal_consistency

mongoc_session_opts_get_default_transaction_opts

mongoc_session_opts_new

mongoc_session_opts_set_causal_consistency

mongoc_session_opts_set_default_transaction_opts

mongoc_transaction_opts_clone

mongoc_transaction_opts_destroy

mongoc_transaction_opts_get_read_concern

mongoc_transaction_opts_get_read_prefs

mongoc_transaction_opts_get_write_concern

mongoc_transaction_opts_new

mongoc_transaction_opts_set_read_concern

mongoc_transaction_opts_set_read_prefs

mongoc_transaction_opts_set_write_concern

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.